ExecutionPlanBuilder_v8
ExecutionPlanQuery
Collaboration diagram for ExecutionPlanBuilder_v8:

## Functions

auto | cudnn_frontend::ExecutionPlanBuilder_v8::setHandle (cudnnHandle_t handle_) -> ExecutionPlanBuilder_v8 &
| Set engine for the ExecutionPlan_v8. More...
auto | cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig (EngineConfig_v8 const &engine_config_) -> ExecutionPlanBuilder_v8 &
| Set engine Config for the Plan. More...
auto | cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig (ManagedOpaqueDescriptor &desc, std::string const &opGraphTag_="") -> ExecutionPlanBuilder_v8 &
| Set engine Config for the Plan. More...

## Detailed Description

Set individual property of ExecutionPlan_v8 class

## Function Documentation

## setEngineConfig() [1/2]

auto cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig | ( | EngineConfig_v8 const & | engine_config_ | ) | -> ExecutionPlanBuilder_v8 &

inline

Set engine Config for the Plan.

Definition at line 280 of file cudnn_frontend_ExecutionPlan.h.

## setEngineConfig() [2/2]

auto cudnn_frontend::ExecutionPlanBuilder_v8::setEngineConfig | ( | ManagedOpaqueDescriptor & | desc,
|  | std::string const & | opGraphTag_ = `""`
| ) |  | -> ExecutionPlanBuilder_v8 &

inline

Set engine Config for the Plan.

Definition at line 288 of file cudnn_frontend_ExecutionPlan.h.

## setHandle()

auto cudnn_frontend::ExecutionPlanBuilder_v8::setHandle | ( | cudnnHandle_t | handle_ | ) | -> ExecutionPlanBuilder_v8 &

inline

Set engine for the ExecutionPlan_v8.

Definition at line 274 of file cudnn_frontend_ExecutionPlan.h.